Subject: How to embed a hash, tag or branch name?

From: Mikko Rapeli <[email-masked]>
Date: Fri, 31 Jul 2009 11:17:23 +0300

How do I embed a hash, tag or branch name into source code managed by
git?

I've tried searching the net, git manuals etc but haven't found a
replacement for the old '$Id: $' strings from svn. What I need is a way to
map compiled binaries and flash images to git tree heads, tags and
branches.

Thanks,

-Mikko